<?php
include_once('include/db-conn.php');
$page_name = 'article.php';
include('include/restrict.php');
include_once('include/functions.php');
include('include/functions-crucial.php');
include_once('admin/include/functions-highlight.php');


$artid = (int)trim($_GET['id']);
if(is_numeric($artid) > 0)
{	
	$Article_Title = Articles_Detail('Title');
	if($Article_Title=='Access Denied'){ $Article_Doesnot_Exist = 'true'; }
	else
	{
		if($autolink_glossary_terms=='yes'){
			$include_files	= "
			<script type=\"text/javascript\">var SRV_BASE = '$path_kb/thesaurus/';</script>
			<script src=\"$path_kb/thesaurus/js/jquery-thesaurus.js\" type=\"text/javascript\"></script>
			<script type=\"text/javascript\" src=\"$path_kb/thesaurus/js/jquery1-7-1.js\"></script>
			<script type=\"text/javascript\">
			$(document).ready(function(){
				$('article').Thesaurus({
					effect: 'fade',
					caseSensitive: false 
				});
			});
			</script>";
		}
		recentlyViewed('SET');
		Knowledgebase_Analytics();
		// If syntax highlighting code added then include all relevant scripts...
		$content		= Articles_Detail('Content');
		$header_scripts	= function_exists('Load_Scripts')?Load_Scripts($content, 'highlighter/scripts/'):'';
		$footer_scripts	= ($header_scripts!='')?HIGHLIGHT_ALL:'';
	}
}
else{ $Article_Doesnot_Exist = 'true'; }

// If the user is not logged in and trying to access private resource then verify this and redirect him/her to login page first...
if($artid && ($_SESSION['member_id_Session']==''||$_SESSION['member_level_Session']=='')){
	$_status = sqlsrv_operations('result', 'SELECT category_status FROM phpkb_relations, phpkb_categories WHERE phpkb_relations.category_id=phpkb_categories.category_id AND article_id='.$artid);
	if($_status=='private'){
		// Prepare link...
		$article_link			= makelink('article', $artid);
		$_SESSION['redirect_to']= $article_link;
		
		// Set up session with message to show up...
		$_SESSION['redirect_message']	= 'In order to access this article, you must be logged in.';
		
		// Redirect to login page...
		redirect_to($path_kb.'/login.php', $path_kb.'/login.php');
		exit();
	}
}

// Preparing "onLoad" call to highlight keywords...
$keyword = $_SESSION['search_keywords_Session'];
$from = ($_SERVER['HTTP_REFERER']!='')?pathinfo($_SERVER['HTTP_REFERER']):'';
if($keyword!=''&&is_array($from)&&$from['filename'] == 'search'){
	$call_from_search = 'yes';
	$search_keyword	= urldecode(stripslashes(CleanInputData($keyword))); // Getting Search Variable.
	// Very Important Character Conversions.
	$detect_entities			= array('"',"<",">","´","'","'","'"," & ","—");
	$change_entities			= array("&quot;","&lt;","&gt;","&acute;","&lsquo;","&rsquo;","&rsquo;"," &amp; ","&mdash;");
	$search_keyword_to_display	= str_replace($detect_entities, $change_entities, $search_keyword);
	
	$include_files     .= "<script type=\"text/javascript\" src=\"$path_kb/include/search.js\"></script>\n"; 
	$highlight_div		= 'searchresults';
	$onload_call		= ($enable_article_select_copy=='yes')?" onload=\"highlightSearchTerms('$highlight_div', '$search_keyword_to_display');\"":"highlightSearchTerms('$highlight_div', '$search_keyword_to_display');";
}

// Default-disabling, Select-Copy Article Content...
$start_BODY_DIV_tags= "	<body class=\"kb_body\" onload=\"document.getElementById('nodrag').onselectstart = function() { return false; };$onload_call\">
						<div id=\"nodrag\">";
$end_BODY_DIV_tags	= '	</div>
						</body>';
if($enable_article_select_copy=='yes'){ // Enabling, Select-Copy Article Content...
	$start_BODY_DIV_tags= "	<body class=\"kb_body\" $onload_call>";
	$end_BODY_DIV_tags	= '	</body>';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $Article_Title; ?></title> <?php MetaDisplay(); ?>
<meta name="robots" content="index, follow" />
<meta name="generator" content="PHPKB Knowledge Base Script" />
<!-- Powered by 'PHPKB Knowledgebase Script' (http://www.knowledgebase-script.com) -->
<!-- Please do not remove this line from the code to keep the license valid -->
<?php echo"
<script type=\"text/javascript\" src=\"$path_kb/include/ajax.js\"></script>

<!-- Kevin added the next 2 lines for toc -->
<script type=\"text/javascript\" src=\"$path_kb/thesaurus/js/jquery1-7-1.js\"></script>
<script type=\"text/javascript\" src=\"$path_kb/include/toc.js\"></script>

$include_files

<link href=\"$path_kb/phpkb.css\" rel=\"stylesheet\" type=\"text/css\" />
<script type=\"text/javascript\" src=\"$path_kb/include/common.js\"></script>
$header_scripts";
?>
</head>
<?php
echo $start_BODY_DIV_tags;
?>
<table class="<?php echo $_kbLayout; ?>" align="center" border="0" cellspacing="0" cellpadding="0">
	<tr>
    	<td>
			<?php include('header.php'); ?>
            <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" class="section" style="padding-left:10px;">
            <?php
            if($Article_Doesnot_Exist=='true')
            {   
                echo"
                <tr> 
                    <td colspan=\"2\" style=\"padding:10pt;\" class=\"section-content\">
                        <h4><img src=\"$path_kb/images/info-red.png\" style=\"vertical-align:middle;\" /> Access Denied</h4>		
                        This article either does not exists in the knowledgebase or your account doesn't 
                        have permission to access this article. <a href=\"$path_kb/index.php\">Click here</a>
                        to go back to the Knowledgebase Home.
                        <br /><br />
                        <strong>Possible Reasons:</strong>
                        <ol>
                            <li>Please make sure that the Article URL is not incomplete.</li>
                            <li>This article might have been removed from the knowledgebase.</li>
                            <li>You may not have access to this article.</li>
                        </ol>
                    </td>
                </tr>";
            }
            else
            {
                echo'
                <tr class="section-article">'; 
                    if($article_page_theme=='theme2'){ $_articleOptions = Articles_Options(); 
                          echo '<td class="sidebar-panel" style="width:'.$category_tree_width.';padding-right:10px;">'
                                    .Category_Navigation()
                                    .Articles_Display('recentviewed')
                                .'</td>';
                    }
                    echo 
					'<td valign="top">
                     <div class="section-content">';
					echo $_SESSION['Subscribed_Session']; $_SESSION['Subscribed_Session'] = '';
                    echo '<table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">'.
                            Display_Navigation('article').''.
                            Articles_Detail('All').''.
                            $_articleOptions.
                            Attachments_Display().''.
                            Comments_Display().''.
                            Articles_Display('related').'
                        </table>
                      </div>
                    </td> ';
                    if($article_page_theme=='theme1'){
                    echo '
					<td width="225" class="sidebar" valign="top">'.
                        Articles_Options().''.
                        Ratings_Display().''.
						Articles_Display('recentviewed').
                        Google_Adsense_Display('Rightside').'
                    </td>';
					}
                echo '</tr>';
            } ?>
                <tr>
                    <td colspan="2" style="padding-right:10px;"><?php include('footer.php'); ?></td>
                </tr>
            </table>
     <?php echo $footer_scripts; ?>
		</td>
	</tr>            
</table>
<input type="hidden" name="JSONGLOSSARY" id="JSONGLOSSARY" value="<?php echo $jsonGlossary; ?>" />
<?php echo $end_BODY_DIV_tags; ?></html>